@charset "UTF-8";
/* sub header */
.sub-title__group--topics {
    min-width: 315px;
    width: 23.3%;
}
@media screen and (max-width: 768px) {
    .sub-title__group--topics {
        width: 100vw;
    }
}
/* main */
.category__btn-topics {
    width: var(--contentWidth);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin: 60px auto;
    gap: 25px;
}
.category__btn-topics li a {
    display: block;
    width: 180px;
    padding: 10px;
    text-align: center;
    border-radius: 30px;
    border: 3px solid var(--primary-black, #272833);
    background: #FFF;
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.5; /* 27px */
    transition: all .3s ease;
}
.category__btn-topics li.active a {
    background: var(--primary-black);
    color: white;
    cursor: default;
    pointer-events: none;
} 
@media (any-hover: hover) {
    .category__btn-topics li a:hover {
        border: 3px solid var(--primary-65pblue);
        background: var(--primary-65pblue);
        transition: all .3s ease;
        color: var(--primary-navy);
    }
}
.sub__topics {
    display: grid;
    gap: 40px 30px;
    justify-content: center;
    align-items: stretch;
    grid-template-columns: repeat(4, 23%);
    margin-inline: auto;
    width: var(--contentWidth);
    margin-bottom: 80px;
}
.sub__topics-nothing {
    text-align: center;
    margin-bottom: 40px;
}
.topics__item--sub {
    width: 100%;
}
.wp-pagenavi {
	display: flex;
    justify-content: center;
    margin: 60px 0;
    gap: 16px;
}
.wp-pagenavi span.current,
.wp-pagenavi a.page,
.wp-pagenavi a.first,
.wp-pagenavi a.last {
    display: block;
    width: 50px;
    height: 50px;
    padding: 10px;
    text-align: center;
    font-family: Montserrat;
    font-weight: 500;
    line-height: 2;
    border-radius: 50%;
}
.wp-pagenavi span.current {
    background-color: var(--primary-blue);
    color: white;
    cursor: default;
}
.wp-pagenavi a.page,
.wp-pagenavi a.first,
.wp-pagenavi a.last {
	transition: all .3s ease;
}
@media (any-hover: hover) {
    .wp-pagenavi a.page:hover,
    .wp-pagenavi a.first:hover,
    .wp-pagenavi a.last:hover {
        color: var(--primary-navy);
        background-color: var(--primary-40pblue);
        transition: all .3s ease;
    }
}

.wp-pagenavi .extend {
    margin-top: 10px;
}
.wp-pagenavi .previouspostslink,
.wp-pagenavi .nextpostslink {
    display: none;
}
/* 1200px */
@media screen and (max-width: 1200px) {
    .category__btn-topics li a {
        width: 150px;
        border: 3px solid var(--primary-black, #272833);
        background: #FFF;
        font-size: 1.6rem;
    }
    .sub__topics {
        grid-template-columns: repeat(3, 31%);
    }
}
/* 768px */
@media screen and (max-width: 768px) {
    .category__btn-topics {
        display: grid;
        justify-content: center;
        grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
        width: auto;
        margin: 40px 5.6%;
        gap:  10px 20px;
    }
    .category__btn-topics li a {
        width: 145px;
        padding: 10px;
        margin: 0 auto;
        font-size: 1.4rem;
        border: 2px solid var(--primary-black, #272833);
    }
    .sub__topics {
        gap: 20px 20px;
        grid-template-columns: repeat(2, 47.5%);
        padding: 0 4.1%;
        margin-bottom: 60px;
    }
    .topics__pagination ol {
        padding: 40px 0 60px;
    }
}
/* 500px */
@media screen and (max-width: 500px) {
    .sub__topics {
        display: flex;
        flex-direction: column;
    }
}